from random import *

seed(1239)

def write_test(n, test_str):
    filename = "{:0>2}".format(n)
    filename += ".in"
    f = open(filename, "w")
    f.write(test_str)

class TestGen:
    def __init__(self, start_n):
        self.testno = start_n

    def next_test(self, test_str):
        write_test(self.testno, test_str)
        self.testno += 1

def to_str(s, w):
    res = [s] + w
    return "\n".join(map(lambda x: " ".join(map(str, x)), res))

def rand_size_test(maxn):
    s = [maxn, randint(1, maxn), randint(1, maxn)]
    w = [[randint(1, 1000) for j in range(s[i])] for i in range(3)]
    return to_str(s, w)

def rand_test(maxn):
    s = [maxn, maxn, maxn]
    w = [[randint(1, 1000) for j in range(s[i])] for i in range(3)]
    return to_str(s, w)

def rand_test_eq(maxn, num):
    s = [maxn, maxn, maxn]
    w = [[num for j in range(s[i])] for i in range(3)]
    return to_str(s, w)

gen = TestGen(13)

for i in range(1, 102, 10):
    gen.next_test(rand_size_test(i))

for i in range(1, 1002, 100):
    gen.next_test(rand_test(i))

gen.next_test(rand_test_eq(1000, 666))

for i in range(1000, 10001, 1000):
    gen.next_test(rand_test(i))

gen.next_test(rand_test_eq(10**5, 1000))
gen.next_test(rand_test(10**5))



