#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdio>
#include <cassert>

using namespace std;

typedef long long i64;

vector<vector<i64> > cless(3, vector<i64>(1001));

inline i64 ceq(int i, int j) {
    return cless[i][j] - cless[i][j - 1];
}

void read(vector<i64>& v, int d) {
    for (int i = 0; i < v.size(); i++) {
        cin >> v[i];

        assert(v[i] <= 1e3);
        assert(v[i] >= 1);

        cless[d][v[i]]++;
    }
}

int main() {
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    int n, m, k;
    cin >> n >> m >> k;
    assert(n <= 1e5);
    assert(m <= 1e5);
    assert(k <= 1e5);

    assert(n >= 1);
    assert(m >= 1);
    assert(k >= 1);

    vector<i64> a(n), b(m), c(k);

    read(a, 0);
    read(b, 1);
    read(c, 2);

    for (int i = 0; i < 3; i++) {
        for (int j = 1; j < cless[i].size(); j++) {
            cless[i][j] += cless[i][j - 1];
        }
    }

    i64 ans = 0;
    for (int i = 1; i < cless[0].size(); i++) {
        i64 count = 0;

        count += ceq(0, i) * ceq(1, i) * ceq(2, i);

        count -= ceq(0, i) * ceq(1, i) * cless[2][i];
        count -= ceq(0, i) * cless[1][i] * ceq(2, i);
        count -= cless[0][i] * ceq(1, i) * ceq(2, i);

        count += cless[0][i] * cless[1][i] * ceq(2, i);
        count += cless[0][i] * ceq(1, i) * cless[2][i];
        count += ceq(0, i) * cless[1][i] * cless[2][i];

        ans += count * i;
    }

    cout << ans << endl;
}
