import numpy as np
from mpl_toolkits.mplot3d import Axes3D
import matplotlib.pyplot as plt

points = np.array([[-1, -1, -1],
                      [1, -1, -1 ],
                      [1, 1, -1],
                      [-1, 1, -1],
                      [-1, -1, 1],
                      [1, -1, 1 ],
                      [1, 1, 1],
                      [-1, 1, 1]])

fig = plt.figure()
ax = fig.add_subplot(111, projection='3d')

r1 = [-1, -0.6, 0, 0.3, 1]
r2 = [-1, -0.1, 0.4, 1]
r3 = [-1, -0.1, 1]

X1, Y1 = np.meshgrid(r1, r2)
X2, Y2 = np.meshgrid(r2, r3)
X3, Y3 = np.meshgrid(r1, r3)

ax.plot_surface(X1,Y1,1,rstride=1, cstride=1, alpha=0.5, color='#eeeeee')
ax.plot_surface(X3,-1,Y3,rstride=1, cstride=1, alpha=0.5, color='#eeeeee')
ax.plot_surface(1,X2,Y2,rstride=1, cstride=1, alpha=0.5, color='#eeeeee')

ax.grid(False)
ax.xaxis.set_major_formatter(plt.NullFormatter())
ax.xaxis.set_major_locator(plt.NullLocator())
ax.yaxis.set_major_formatter(plt.NullFormatter())
ax.yaxis.set_major_locator(plt.NullLocator())
ax.zaxis.set_major_formatter(plt.NullFormatter())
ax.zaxis.set_major_locator(plt.NullLocator())

ax.set_xlabel('$a_1, ..., a_N$', fontsize=30, labelpad=-5)
ax.set_ylabel('$b_1, ..., b_M$', fontsize=30, labelpad=-5)
ax.set_zlabel('$c_1, ..., c_K$', fontsize=30, labelpad=-5)

plt.show()
